## revtv revtv — A video waveform monitor for each line of video processed |

## Synopsis

    struct              GstRevTV;

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GstObject
                   +----GstElement
                         +----GstBaseTransform
                               +----GstVideoFilter
                                     +----GstRevTV

## Properties

      "delay"                    gint                  : Read / Write
      "gain"                     gint                  : Read / Write
      "linespace"                gint                  : Read / Write

## Description

## Synopsis

### Element Information

plugin | effectv
author | Wim Taymans <wim.taymans@gmail.be>
class | Filter/Effect/Video

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-raw, format=(string){ BGRx, RGBx }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

name | src
direction | source
presence | always
details | video/x-raw, format=(string){ BGRx, RGBx }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

## Details

### struct GstRevTV

    struct GstRevTV;

## Property Details

### The `"delay"` property

      "delay"                    gint                  : Read / Write

Delay in frames between updates.

Allowed values: [1,100]

Default value: 1

### The `"gain"` property

      "gain"                     gint                  : Read / Write

Control gain.

Allowed values: [1,200]

Default value: 50

### The `"linespace"` property

      "linespace"                gint                  : Read / Write

Control line spacing.

Allowed values: [1,100]

Default value: 6